/* --COPYRIGHT--,BSD
 * Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

/*******************************************************************************
 *
 *  global.h - Definition file for global variables
 *
 ******************************************************************************/

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

extern unsigned long adcResult;
extern unsigned char stepperIndex;
extern unsigned char microSteppingMode;
extern unsigned int stepperSpeedCounter;
extern unsigned char stepperDir;
extern unsigned int stepCounter;
extern unsigned int overflowCounter;
extern unsigned int preSpeedCounter;
extern unsigned int curSpeedCounter;
extern unsigned long speedCounter;
extern unsigned int fanSpeed;
extern unsigned int fanSpeed_4times;
extern unsigned long speedCommand;
extern unsigned int speedControlOut;
extern unsigned int speedControlOutPWM;
extern unsigned int speedControlFlag;
extern unsigned int throttleSteps;
extern unsigned char throttleState;
extern unsigned int inputS1Down;
extern unsigned int inputS2Down;
extern unsigned char stateFan;
extern unsigned int rampingTime;
extern unsigned int rampingPWM;
extern unsigned int commandADC;

#endif /* _GLOBAL_H_ */
